package org.greenstone.gsdl3.gs3build.doctypes;

import java.sql.SQLException;
import java.sql.ResultSet;

import org.greenstone.gsdl3.gs3build.util.GS3SQLConnection;

public class DocumentFactory
{
  public static AbstractDocument createDocument(String type, DocumentID id)
  {
    if (type.equals(HTMLDocument.HTML_DOCUMENT_TYPE))
    { return new HTMLDocument(id);
    }
    else if (type.equals(TextDocument.TEXT_DOCUMENT_TYPE))
    { return new TextDocument(id);
    }
    else if (type.equals(IndexDocument.INDEX_DOCUMENT_TYPE))
    { return new IndexDocument(id);
    }
    return null;
  }

  public static DocumentInterface readSQLDocument(GS3SQLConnection connection, DocumentID id)
  {
    String query = "SELECT * FROM document WHERE DocID="+id.toString()+";";
    connection.execute(query);

    try {
      ResultSet results = connection.getResultSet();
      if (results != null && results.first()) {
	return AbstractDocument.readSQL(connection, results);
      }
    }
    catch (SQLException sqlEx) {
      System.err.println(sqlEx);
    }
    return null;
  }
}
