package org.greenstone.gsdl3.gs3build.doctypes;

import java.io.File;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.greenstone.gsdl3.gs3build.metadata.METSDescriptiveSet;
import org.greenstone.gsdl3.gs3build.util.MultiMap;

/**
 *  A metadata-pure document - it only contains metadata
 *  on other documents, and this will be added to them during
 *  the "extract" phase.  The decoration of the other documents
 *  with this extra metadata will only occur later, as at the
 *  point that this document/file is loaded, we may not in fact
 *  have come across them yet...
 */

public class GMLDocument extends AbstractDocument
{
	public static final String GML_DOCUMENT_TYPE = "GML";

	public GMLDocument(URL url)
	{	super(url);
	}

	public String getDocumentType()
	{	return GML_DOCUMENT_TYPE;
	}

	/**
	 *  A pretty minimal and lazy document text extraction process.
	 */
	public String getDocumentText()
	{ return "";
	}

	public METSDescriptiveSet getDocumentMetadata()
	{ return null;
	}
}