package org.greenstone.gsdl3.gs3build.doctypes;

import java.io.*;
import java.net.*;

import org.greenstone.gsdl3.gs3build.metadata.*;

public class JPEGRecogniser implements RecogniserInterface
{
	DocumentList listRepository;

	public JPEGRecogniser(DocumentList listRepository)
	{	this.listRepository = listRepository;
	}

	public boolean parseDocument(METSFile file)
	{
		String MIMEType = file.getMIMEType();
		if (MIMEType == null || 
			  MIMEType.equals("image/jpeg")) {
			URL location = file.getLocation();
			return this.parseDocument(location);
		}
		return false;
	}

	public boolean parseDocument(URL url)
	{	if (url.toString().startsWith("file://")) {
			String fileName = url.toString().substring(7);
		
	
			if (fileName.endsWith(".jpg") ||
					fileName.endsWith(".jpeg"))
			{	this.listRepository.addDocument(new JPEGDocument(url));
				// TODO: spawn knowledge of children too...
				return true;
			}
		}
		else
		{ // TODO: get Mime type remotely, and then proceed if required
		}

		return false;
	}
		
}