package org.greenstone.gsdl3.gs3build.schema;

import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import java.util.List;
import java.util.ArrayList;

public class SchemaComplexType implements SchemaType
{
	public String name;
	public List children;

	public SchemaComplexType(Element element) throws SchemaException
	{
		this.name = element.getAttribute("name");
		if (name == null)	
		{ throw new SchemaException("Type defined without name");
		}

		this.children = new ArrayList();

		NodeList childNodes = element.getChildNodes();
		for (int i = 0; i < childNodes.getLength(); i ++) {
			Node node = childNodes.item(i);

			if (node.getNodeType() == org.w3c.dom.Node.ELEMENT_NODE) {
				String nodeName = node.getNodeName();

				if (nodeName == null) {
					continue;
				}

				nodeName = SchemaNode.getElementName(nodeName);
				// a simple-based type
				if (node.getNodeName().equals("simpleContent")) {
					// we're really just a simple type with attributes - nothing more to do
				}
				// a complex-based type
				else if (node.getNodeName().equals("complexContent")) {
					// we just contain elements, no text
				}
				// the following pretty much speak for themselves
				else {
					try {
						Object child = SchemaNodeFactory.makeNode((Element) node);
						if (child != null) {
							this.children.add(child);
						}
					}
					catch (SchemaException ex)
					{	
					}
				}
			}
		}

		SchemaTypeMap.theMap.addType(this);
	}
	
	public String getName()
	{	return this.name;
	}
}
